dhall-1.42.0: A configuration language guaranteed to terminate

Safe Haskell | Safe-Inferred
Language | Haskell2010

Dhall.Format

Contents

- Format

Description

This module contains the implementation of the `dhall format` subcommand

Synopsis

- data Format = Format {
  - chosenCharacterSet :: Maybe CharacterSet
  - censor :: Censor
  - transitivity :: Transitivity
  - inputs :: NonEmpty Input
  - outputMode :: OutputMode
  }
- format :: Format -> IO ()

# Format

data Format #

Arguments to the `format` subcommand

Constructors

Format |
Fields chosenCharacterSet :: Maybe CharacterSet censor :: Censor transitivity :: Transitivity inputs :: NonEmpty Input outputMode :: OutputMode

format :: Format -> IO () #

Implementation of the `dhall format` subcommand